| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
I2C Bus Speed
I2C Control Codes

Specify the I2C bus speed. More...

## Macros

#define | ARM_I2C_BUS_SPEED_STANDARD (0x01)
| Standard Speed (100kHz)
#define | ARM_I2C_BUS_SPEED_FAST (0x02)
| Fast Speed (400kHz)
#define | ARM_I2C_BUS_SPEED_FAST_PLUS (0x03)
| Fast+ Speed ( 1MHz)
#define | ARM_I2C_BUS_SPEED_HIGH (0x04)
| High Speed (3.4MHz)

## Description

Specify the I2C bus speed.

## Macro Definition Documentation

#define ARM_I2C_BUS_SPEED_FAST (0x02)

Fast Speed (400kHz)

See Also
  ARM_I2C_Control

#define ARM_I2C_BUS_SPEED_FAST_PLUS (0x03)

Fast+ Speed ( 1MHz)

See Also
  ARM_I2C_Control

#define ARM_I2C_BUS_SPEED_HIGH (0x04)

High Speed (3.4MHz)

See Also
  ARM_I2C_Control

#define ARM_I2C_BUS_SPEED_STANDARD (0x01)

Standard Speed (100kHz)

See Also
  ARM_I2C_Control